/*****************************************************************************/

/*
 *      dvdoptionswincb.h -- REALmagic simple windowing application in GTK
 *
 *      Copyright (C) 2001 Sigma Designs
 *                    written by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*****************************************************************************/
#ifndef __DVDOPTIONSWINCB_H__
#define __DVDOPTIONSWINCB_H__

#define SUBTITLEOFF 64

typedef struct _DvdPlayingStatus_
{
  BYTE current_title;
  WORD current_chapter;
  BYTE current_angle;
  BYTE current_ast;
  BYTE current_spst;
  DWORD tv_format;
  DWORD display_mode;
  DWORD subpicture_on;
}DvdPlayingStatus;

gboolean getMatchingSPFromAudio(DWORD , BYTE *);
void audioStreamChange_cb(GtkWidget *, guint, gpointer);
void spStreamChange_cb(GtkWidget *, guint, gpointer);

gboolean dvd_options_Ok_clicked(GtkWidget *, gpointer );
gboolean dvd_options_Cancel_clicked(GtkWidget *, gpointer );

void refresh_language_frame( GtkWidget *);
void refresh_dvd_content_frame( GtkWidget *);

void refresh_aspect_4_3_frame( GtkWidget *);
void refresh_aspect_16_9_frame( GtkWidget *);
void refresh_aspect_ratio_frame( GtkWidget *);

void refresh_pg_frame(GtkWidget *);
void refresh_pglevel_frame( GtkWidget *);
void refresh_region_code_frame(GtkWidget *);

void refresh_dvd_options(GtkWidget *, gpointer);

gboolean switch_aspect_mode_cb(GtkWidget *, gpointer );
/* gboolean switch_tv_format_cb(GtkWidget *, gpointer ); */

void saveCurrentDvdStatus(DvdPlayingStatus *);
void restorePreviousDvdStatus(DvdPlayingStatus *);

gboolean switch_dvdregion_cb(GtkWidget *, gpointer);
gboolean handle_confirm_region_code_change_dvd(GtkWidget *, gpointer);

gboolean switch_dvdpglevel_cb(GtkWidget *, gpointer);
gboolean dvdpglevel_passwd_cb(GtkWidget *, gpointer);

#endif /* DVDOPTIONSWIN_H */
